All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_work_dimension Class Reference

Exception thrown if the work dimension is invalid (usually this means that the work dimension was set to be larger than three. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_work_dimension:

## Detailed Description

Exception thrown if the work dimension is invalid (usually this means that the work dimension was set to be larger than three.

Definition at line 443 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp